Page MenuHomePhabricator

extension.json is poorly documented
Closed, ResolvedPublic

Description

Documentation for extension registration at https://www.mediawiki.org/wiki/Manual:Extension_registration seems very poor:

  • no guide to writing an extension.json for new extensions
  • examples only of a couple of isolated parameters
  • missing documentation on many parameters
  • no explanation of hooks format (how do you specify that hooks should be instance variables, etc?)

Event Timeline

brion created this task.Apr 1 2016, 3:44 PM
Restricted Application added a project: Documentation. · View Herald TranscriptApr 1 2016, 3:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 13 2016, 5:36 PM
MGChecker added a subscriber: MGChecker.
labster added a subscriber: labster.May 1 2016, 7:27 AM

Agreed, documentation is extremely poor.

For instance, the only way to learn about configuring credits to go to https://www.mediawiki.org/wiki/Manual:$wgExtensionCredits -- a page with tons of bright red deprecation warnings. A year after it was deprecated.

I'm commenting here because I'm giving up on the extension.json interface; the old global variable interface is the only one that I can use reliably.

Legoktm claimed this task.Aug 17 2018, 12:15 AM

I think most of what people want is documented on https://www.mediawiki.org/wiki/Manual:Extension.json/Schema now...is there still stuff that's missing?

brion closed this task as Resolved.Aug 20 2018, 8:59 PM

I'm pretty happy with the current documentation now; last time I needed to use it I found what I needed. :) Closing.